> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nameshouts.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Name from a User List

```http POST theme={"system"}
POST https://api.nameshouts.com/api/v2.0/user/user-list/edit-name
```

Updates a name on a list. You can modify the phonetic spelling, language of origin, and audio.

The associated email address can’t be changed. To update the email, delete the existing entry and create a new one.

## Authorization

| Bearer Token | |
| - | - |
| Token | `{{token}}` |

## Body

`formdata`

**name** `string`

The name you want to modify on the list.

Example: `Maxime Buteau`

**name\_group\_id** `string`

The unique idea of the name on the list. You can locate this from "Get Name Information from List" endpoint.

Example: `100048`

**phonetic** `string`

The respelling for the name.

Example: `mak-seem boo-toh`

**lang** `string`

The language of origin.

Example: `French`

**audio** `file`

The updated audio

## Examples

### Added to List.

**Example Request**

```bash curl theme={"system"}
curl --location -g --request POST '{{base_url}}/api/v2.0/user/user-list/add-name-to-list?name=John-Smith&language=English&user_list_id=12&email=test4%40test.com'
```

**Example Response** · `200 OK`

```json Body theme={"system"}
"Name added to list."
```

**Headers (9)**

| Key | Value |
| - | - |
| Server | nginx/1.23.3 |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Vary | Accept-Encoding |
| X-Powered-By | PHP/7.4.33 |
| Cache-Control | no-cache, private |
| Date | Wed, 20 Sep 2023 05:56:35 GMT |
| Content-Encoding | gzip |

### Missing from Database.

**Example Request**

```bash curl theme={"system"}
curl --location -g --request POST '{{base_url}}/api/v2.0/user/user-list/add-name-to-list?name=Johnr-Smith&language=English&user_list_id=12&email=test4%40test.com'
```

**Example Response** · `200 OK`

```json Body theme={"system"}
[
    "Name not on database. Missing Name information sent to NameShouts."
]
```

**Headers (9)**

| Key | Value |
| - | - |
| Server | nginx/1.23.3 |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Vary | Accept-Encoding |
| X-Powered-By | PHP/7.4.33 |
| Cache-Control | no-cache, private |
| Date | Wed, 20 Sep 2023 05:57:03 GMT |
| Content-Encoding | gzip |

### Already on List.

**Example Request**

```bash curl theme={"system"}
curl --location -g --request POST '{{base_url}}/api/v2.0/user/user-list/add-name-to-list?name=John-Smith&language=English&user_list_id=12&email=test4%40test.com'
```

**Example Response** · `400 Bad Request`

```json Body theme={"system"}
"Name already in list"
```

**Headers (7)**

| Key | Value |
| - | - |
| Server | nginx/1.23.3 |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| X-Powered-By | PHP/7.4.33 |
| Cache-Control | no-cache, private |
| Date | Wed, 20 Sep 2023 06:52:48 GMT |

```bash cURL theme={"system"}
curl --location --request POST 'https://api.nameshouts.com/api/v2.0/user/user-list/edit-name' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--form 'name="Maxime Buteau"' \
--form 'name_group_id="100048"' \
--form 'phonetic="mak-seem boo-toh"' \
--form 'lang="French"' \
--form 'audio=@"/path/to/file"'
```

```json Added to List. (200) theme={"system"}
"Name added to list."
```

```json Missing from Database. (200) theme={"system"}
[
    "Name not on database. Missing Name information sent to NameShouts."
]
```

```json Already on List. (400) theme={"system"}
"Name already in list"
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.